Package ghidra.app.util.bin.format.pe.cli.methods

# Class CliMethodDef

java.lang.Object
ghidra.app.util.bin.format.pe.cli.methods.CliMethodDef

All Implemented Interfaces:
  `StructConverter`

public class CliMethodDef extends Object implements StructConverter

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CliMethodDef.HeaderFormat`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PATH`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliMethodDef(Address addr, BinaryReader reader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CliMethodDef.HeaderFormat`
  `getHeaderFormat()`
  `int`
  `getMethodSize()`
  `boolean`
  `hasLocals()`
  `boolean`
  `hasMoreSections()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PATH

    public static final String PATH
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CliMethodDef

    public CliMethodDef(Address addr, BinaryReader reader) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException`
    See Also:
      - `StructureDataType`

  - ### getMethodSize

    public int getMethodSize()

  - ### hasMoreSections

    public boolean hasMoreSections()

  - ### hasLocals

    public boolean hasLocals()

  - ### getHeaderFormat

    public CliMethodDef.HeaderFormat getHeaderFormat()